/* This is a config file for the client.  Many of the options are
 * taken from the standard config.h file.  However, a few new ones unique
 * to the client are here.  Also, if the client ever became a totally
 * seperate distibution, this would be needed in any case.
 */


/* X_PROG_NAME is the name that is used to read X resources. */
#define X_PROG_NAME "cfclient"


/* This is where the files used by the client lives.  This is in addition
 * to the standard LIBDIR used by crossfire.
 * Standard LIBDIR files are used for a first pass in the loading
 * of certain values (archetypes, bitmaps & pixmaps).  In general,
 * the standard LIBDIR should contain a lot of what is needed.
 * 
 * CLIENT_LIBDIR is where the extra details live - things like
 * files downloaded from the server, additional archetypes, etc.
 * This can also be set with the environment variable CFCLIENT_LIBDIR
 * Changing the information in this directory is not a security
 * risk (like changing LIBDIR for the server is).
 *
 * If it is not set, then information can not be downloaded for permanent
 * storage.  It CAN NOT be the same as LIBDIR - this would very
 * likely corrupt data, read data twice, etc.
 *
 * Files in this directory (whether set here, or changed via enviromental
 * variable): 
 * bmaps (file - names of bitmaps stored - in same format as the normal
 *	bmaps file)
 * images (directory).  This is where image files (both xpm and
 *	pixmap) are stored.
 */

/*
#define CLIENT_LIBDIR
*/



/* This is how often the client checks for X events, as well as how often
 * it performs animations (or will).  This value can be most anything.
 * IT is only configurable because the exact value it needs to be set to
 * has to be figured out.  This value is in microseconds (100,000 microseconds=
 * 0.1 seconds
 */

#define MAX_TIME 100000


/* This is the default port to connect to the server with. */
#define EPORT 13327

/* Specifies the font to use.  This isn't retally supported, as there is
 * no way in changing images in the font - this then requires that the
 * client has the exact same font the server is using (which is
 * possible if the server site is also running a font server.
 */
#define FONTNAME "crossfire"
#define FONTDIR "/usr/lib/X11R6/lib/fonts/misc/"


extern int errno;
